Activate Card

Use the /activate endpoint to activate a card associated with an account.


📘 Note: This endpoint should only be used to activate 'Physical-Only' cards and 'Digital-First' reissued cards. Do not use this endpoint for the initial Digital-First card associated with an account (upon account creation) OR for Digital-First replacement cards. See Activating Cards for more information.


Important things to note:

  • Only cards with an emboss status of 'sent_to_emboss' can be activated.
  • Do not use this endpoint to change a card's status, instead use the Update Card Status endpoint.
  • After successfully calling this endpoint, the card's status will be updated to 'Active.'
  • Accounts should only be associated with one active card at a time.
Path Params
string
required

Pass in the card's unique ID.

Body Params

POST /v1/card/:cardId/activate Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string
required

The expiry date provided by the cardholder in a YYYY-MM format. This value will be compared against what's stored within Spidr for validation.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json